> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create stages



## OpenAPI

````yaml /openapi/sales.json post /v1/sales/funnels/{funnel_id}/stages/
openapi: 3.0.3
info:
  title: Yume API — Продажи
  version: 1.0.0
  description: Касса и управление продажами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/sales/funnels/{funnel_id}/stages/:
    post:
      tags:
        - funnels
      summary: Create stages
      operationId: funnels_stages_create
      parameters:
        - in: path
          name: funnel_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FunnelStage'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/FunnelStage'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FunnelStage'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelStage'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    FunnelStage:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        funnel:
          type: integer
          readOnly: true
        ordering:
          type: integer
          maximum: 2147483647
          minimum: 0
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        type:
          allOf:
            - $ref: '#/components/schemas/TypeEnum'
          readOnly: true
        color:
          type: string
          maxLength: 7
        extra: {}
        users:
          type: array
          items:
            type: integer
      required:
        - created_at
        - funnel
        - id
        - name
        - type
    TypeEnum:
      enum:
        - DEFAULT
        - SUCCESS
        - CANCEL
      type: string
      description: |-
        * `DEFAULT` - По умолчанию
        * `SUCCESS` - Успешно
        * `CANCEL` - Отменено
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````